
%define name	suomi-malaga
%define version	1.13
%define prever	0
%define rel	1

Summary:	Description of Finnish morphology written in Malaga
Name:		%name
Version:	%version
%if %prever
Release:	%mkrel 0.%prever.%rel
%else
Release:	%mkrel %rel
%endif
License:	GPLv2+
Group:		Text tools
URL:            http://voikko.sourceforge.net/
%if %prever
Source:		http://www.puimula.org/htp/testing/%name-%version%prever.tar.gz
%else
Source:         http://downloads.sourceforge.net/voikko/%name-%version.tar.gz
%endif
BuildRequires:	malaga >= 7.8
BuildRequires:	python
# NOTE: Packages are endianness specific, but all Mageia architectures are little-endian
# and having this as no-noarch causes issues with urpmi:
# https://bugs.mageia.org/show_bug.cgi?id=5404
BuildArch:	noarch

%description
Description of Finnish morphology written in Malaga.

Suomi-malaga is used by text indexer Sukija and spellchecker/hyphenator
Voikko.

%package -n voikko-fi
Summary:	Finnish support for Voikko spellchecker/hyphenator
Group:		Text tools
Requires:	locales-fi
# aspell = 1, myspell = 2, lang-specific = 3
Provides:	enchant-dictionary = 3
Provides:	voikko-dictionary
Provides:	voikko-fi_FI
Provides:	spell-fi
Provides:	%name = %version-%release
Obsoletes:	suomi-malaga-voikko < 1.0

%description -n voikko-fi
Finnish support for Voikko spellchecker/hyphenator. This package is also
known as Suomi-malaga.

%prep
%setup -q -n %name-%version

%build
%make voikko GENLEX_OPTS="--extra-usage=it" \
	EXTRA_LEX="vocabulary/erikoisalat/linux-distributions.lex vocabulary/erikoisalat/atk-lyhenteet.lex"

%install
rm -rf %{buildroot}

# Files differ on big-endian and small-endian archs, and they have different
# names (*_l vs *_b). This is the reason we use %{_prefix}/lib instead of
# %{_datadir} and won't noarch the package. Note that we use %{_prefix}/lib
# instead of %{_libdir} to achieve biarch compatibility. That is, if the user
# has both libvoikkoX and lib64voikkoX installed, both of them work with the
# same voikko-fi package.
make voikko-install DESTDIR=%{buildroot}%{_prefix}/lib/voikko

%files -n voikko-fi
%defattr(-,root,root)
%doc README README.fi CONTRIBUTORS
%dir %{_prefix}/lib/voikko
%{_prefix}/lib/voikko/?


%changelog

* Fri Apr 05 2013 anssi <anssi> 1.13-1.mga3
+ Revision: 408396
- new version 1.13
- update descriptions
- Rename source rpm from voikko-fi to suomi-malaga to match upstream name

* Mon Jan 14 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 385478
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 tv <tv> 1.10-2.mga3
+ Revision: 308218
- make it noarch (mga#5404)
- rip %%clean && BuildRoot

* Sun Feb 12 2012 anssi <anssi> 1.10-1.mga2
+ Revision: 208103
- new version

* Fri Jan 14 2011 anssi <anssi> 1.8-1.mga1
+ Revision: 17779
- new version
- clarify summary
- imported package voikko-fi

